Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TestInfo Class Reference

`#include <gtest.h>`

## Public Member Functions
| ~TestInfo ()
const char * | test_case_name () const
const char * | name () const
const char * | type_param () const
const char * | value_param () const
bool | should_run () const
const TestResult * | result () const
| ~TestInfo ()
const char * | test_case_name () const
const char * | name () const
const char * | type_param () const
const char * | value_param () const
bool | should_run () const
const TestResult * | result () const
| ~TestInfo ()
const char * | test_case_name () const
const char * | name () const
const char * | type_param () const
const char * | value_param () const
bool | should_run () const
const TestResult * | result () const

## Friends
class | Test
class | TestCase
class | internal::UnitTestImpl
TestInfo * | internal::MakeAndRegisterTestInfo (const char *test_case_name, const char *name, const char *type_param, const char *value_param, internal::TypeId fixture_class_id, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, internal::TestFactoryBase *factory)
TestInfo * | internal::MakeAndRegisterTestInfo (const char *test_case_name, const char *name, const char *type_param, const char *value_param, internal::TypeId fixture_class_id, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, internal::TestFactoryBase *factory)
TestInfo * | internal::MakeAndRegisterTestInfo (const char *test_case_name, const char *name, const char *type_param, const char *value_param, internal::TypeId fixture_class_id, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, internal::TestFactoryBase *factory)

## Constructor & Destructor Documentation

~TestInfo | ( |  | ) |

~TestInfo | ( |  | ) |

~TestInfo | ( |  | ) |

## Member Function Documentation

const char* name | ( |  | ) | const
| inline

const char* name | ( |  | ) | const
| inline

const char* name | ( |  | ) | const
| inline

const TestResult* result | ( |  | ) | const
| inline

const TestResult* result | ( |  | ) | const
| inline

const TestResult* result | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

bool should_run | ( |  | ) | const
| inline

const char* test_case_name | ( |  | ) | const
| inline

const char* test_case_name | ( |  | ) | const
| inline

const char* test_case_name | ( |  | ) | const
| inline

const char* type_param | ( |  | ) | const
| inline

const char* type_param | ( |  | ) | const
| inline

const char* type_param | ( |  | ) | const
| inline

const char* value_param | ( |  | ) | const
| inline

const char* value_param | ( |  | ) | const
| inline

const char* value_param | ( |  | ) | const
| inline

## Friends And Related Function Documentation

TestInfo* internal::MakeAndRegisterTestInfo | ( | const char * | test_case_name,
|  | const char * | name,
|  | const char * | type_param,
|  | const char * | value_param,
|  | internal::TypeId | fixture_class_id,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | internal::TestFactoryBase * | factory
| ) |  |
| friend

TestInfo* internal::MakeAndRegisterTestInfo | ( | const char * | test_case_name,
|  | const char * | name,
|  | const char * | type_param,
|  | const char * | value_param,
|  | internal::TypeId | fixture_class_id,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | internal::TestFactoryBase * | factory
| ) |  |
| friend

TestInfo* internal::MakeAndRegisterTestInfo | ( | const char * | test_case_name,
|  | const char * | name,
|  | const char * | type_param,
|  | const char * | value_param,
|  | internal::TypeId | fixture_class_id,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | internal::TestFactoryBase * | factory
| ) |  |
| friend

internal::UnitTestImpl
| friend

Test
| friend

TestCase
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/include/gtest/gtest.h
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc